com.jogamp.opengl.util.texture.spi

## Class NetPbmTextureWriter

- java.lang.Object
- - com.jogamp.opengl.util.texture.spi.NetPbmTextureWriter

- All Implemented Interfaces:
    TextureWriter

      public class NetPbmTextureWriter
      extends Object
      implements TextureWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PAM`
    `static String` | `PPM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetPbmTextureWriter()`
    `NetPbmTextureWriter(int magic)` supported magic values are:

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMagic()`
    `String` | `getSuffix()`
    `boolean` | `write(File file, TextureData data)` Writes the given TextureData to the passed file.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PPM

          public static final String PPM

      See Also:
        `TextureIO.PPM`, Constant Field Values

    - #### PAM

          public static final String PAM

      See Also:
        `TextureIO.PAM`, Constant Field Values

  - ### Constructor Detail

    - #### NetPbmTextureWriter

          public NetPbmTextureWriter()

    - #### NetPbmTextureWriter

          public NetPbmTextureWriter(int magic)

      supported magic values are:

             magic 0 - detect by file suffix (TextureIO compliant)
             magic 6 - PPM binary RGB
             magic 7 - PAM binary RGB or RGBA

  - ### Method Detail

    - #### getMagic

          public int getMagic()

    - #### getSuffix

          public String getSuffix()

    - #### write

          public boolean write(File file,
                      TextureData data)
                        throws IOException

      Description copied from interface: `TextureWriter`
      Writes the given TextureData to the passed file. Returns true if this TextureWriter successfully handled the writing of the file, otherwise false. May throw IOException if either this writer did not support certain parameters of the TextureData or if an I/O error occurred.
      Specified by:
        `write` in interface `TextureWriter`
      Throws:
        `IOException`

Copyright 2010 JogAmp Community.